NXP NFC Reader Library v4.040.05.011646

Data Fields
phhalHw_Pn5180_DataParams_t Struct Reference
Hardware Abstraction Layer » component : Pn5180

PN5180 HAL component. More...

## Data Fields
uint16_t | wId
| Layer ID for this component, NEVER MODIFY!
uint8_t | bBalConnectionType
| Type of the underlying BAL connection. More...
uint8_t | bRfca
| Flag indicates whether RFCA is to be enabled or not (PH_ON or PH_OFF, default - PH_ON). More...
void * | pBalDataParams
| Points to the underlaying layer over which HAL is going to communicate.
void * | pKeyStoreDataParams
| Pointer to the parameter structure of the keyStore layer. More...
uint8_t * | pTxBuffer
| Pointer to global transmit buffer used by the Exchange() function. More...
uint16_t | wTxBufSize
| Size of the global transmit buffer. More...
uint16_t | wTxBufLen
| Number of valid bytes within the transmit buffer. More...
uint8_t * | pRxBuffer
| Pointer to global receive buffer used by the Exchange() function. More...
uint16_t | wRxBufSize
| Size of the global receive buffer. More...
uint16_t | wRxBufLen
| Number of valid bytes within the receive buffer. More...
uint16_t | wTxBufStartPos
| Starting position within the global transmit buffer (used if TxBuffer equals RxBuffer). More...
uint16_t | wRxBufStartPos
| Starting position within the global receive buffer. More...
uint32_t | dwTimingUs
| Current timing value. More...
uint32_t | dwTxWaitMs
| TxWaitMs shadow.
uint16_t | wTimingMode
| Current timing measurement mode. More...
uint16_t | dwFdtPc
| Current timing value backup for PC.
uint16_t | wFieldOffTime
| Field-Off-Time in milliseconds. More...
uint16_t | wFieldRecoveryTime
| Field-Recovery-Time in milliseconds. More...
uint16_t | wAdditionalInfo
| Storage for additional error information. More...
uint16_t | wTargetMode
| Used to indicate the mode and speed at which Target is activated. More...
uint16_t | wWakeupCounterInMs
| [In] Used value for wakeup counter in msecs, i.e. More...
uint16_t | wLpcdReference
| Reference valu read from AGC_REF_CONFIG (check_card) register. More...
uint8_t | bLpcdMode
| LPCD Mode options. More...
uint8_t | bSymbolStart
| Preamble of a frame. More...
uint8_t | bSymbolEnd
| Trailer symbol of a frame. More...
uint8_t | bRfResetAfterTo
| Storage for PHHAL_HW_CONFIG_RFRESET_ON_TIMEOUT setting. More...
uint8_t | bActiveMode
| Flag indicates whether Active mode is activated or not. More...
uint8_t | bJewelActivated
| Set the PH_ON/PH_OFF Jewel exchange mode. More...
uint8_t | bNfcipMode
| Enable/Disable to handle Start Byte at 106kbps in NFCIP-1 mode. More...
uint8_t | bCardType
| Type of card for which the hal is configured for. More...
uint8_t | bTimeoutUnit
| Unit of current timeout value (either PHHAL_HW_TIME_MICROSECONDS or PHHAL_HW_TIME_MILLISECONDS). More...
uint8_t | bRxMultiple
| Flag indicates whether RX multiple is to be enabled or not. More...
uint8_t | bSkipSend
| Flag indicates whether Skip send should be performed or not in Active Target Mode. More...
uint8_t | bTransmited
| Flag indicates whether the data is transmitted.
uint8_t | bMfcCryptoEnabled
| Flag indicates whether the MFC Crypto is enabled or not. More...
uint8_t | bCardMode
| Flag indicates whether the SYSTEM_CONFIG_AUTOCOLL_STATE_A_MASK bit is set or not. More...
ppRFCallBck_t | pRFISRCallback
| Application RF callback called by ISR handler. More...
uint8_t | bOpeMode
| Used to differentiate between EMVCO or Normal Mode of this layer.
uint8_t | bEmdFlag
| Flag to Indicate Enable EMD Suppression.
uint16_t | wCfgShadow [PHHAL_HW_PN5180_SHADOW_COUNT]
| Configuration shadow; Stores configuration for current cardtype. More...
phOsal_EventObj_t | HwEventObj
| Handle for Event. More...

## Detailed Description

PN5180 HAL component.

This structure holds all the data that are required for the PN5180 HAL operations.

## Field Documentation

## § bBalConnectionType

uint8_t phhalHw_Pn5180_DataParams_t::bBalConnectionType

Type of the underlying BAL connection.

Refer to PHHAL_HW_CONFIG_BAL_CONNECTION.

## § bRfca

uint8_t phhalHw_Pn5180_DataParams_t::bRfca

Flag indicates whether RFCA is to be enabled or not (PH_ON or PH_OFF, default - PH_ON).

## § pKeyStoreDataParams

void* phhalHw_Pn5180_DataParams_t::pKeyStoreDataParams

Pointer to the parameter structure of the keyStore layer.

## § pTxBuffer

uint8_t* phhalHw_Pn5180_DataParams_t::pTxBuffer

Pointer to global transmit buffer used by the Exchange() function.

## § wTxBufSize

uint16_t phhalHw_Pn5180_DataParams_t::wTxBufSize

Size of the global transmit buffer.

## § wTxBufLen

uint16_t phhalHw_Pn5180_DataParams_t::wTxBufLen

Number of valid bytes within the transmit buffer.

## § pRxBuffer

uint8_t* phhalHw_Pn5180_DataParams_t::pRxBuffer

Pointer to global receive buffer used by the Exchange() function.

## § wRxBufSize

uint16_t phhalHw_Pn5180_DataParams_t::wRxBufSize

Size of the global receive buffer.

## § wRxBufLen

uint16_t phhalHw_Pn5180_DataParams_t::wRxBufLen

Number of valid bytes within the receive buffer.

## § wTxBufStartPos

uint16_t phhalHw_Pn5180_DataParams_t::wTxBufStartPos

Starting position within the global transmit buffer (used if TxBuffer equals RxBuffer).

## § wRxBufStartPos

uint16_t phhalHw_Pn5180_DataParams_t::wRxBufStartPos

Starting position within the global receive buffer.

## § dwTimingUs

uint32_t phhalHw_Pn5180_DataParams_t::dwTimingUs

Current timing value.

## § wTimingMode

uint16_t phhalHw_Pn5180_DataParams_t::wTimingMode

Current timing measurement mode.

## § wFieldOffTime

uint16_t phhalHw_Pn5180_DataParams_t::wFieldOffTime

Field-Off-Time in milliseconds.

## § wFieldRecoveryTime

uint16_t phhalHw_Pn5180_DataParams_t::wFieldRecoveryTime

Field-Recovery-Time in milliseconds.

## § wAdditionalInfo

uint16_t phhalHw_Pn5180_DataParams_t::wAdditionalInfo

Storage for additional error information.

## § wTargetMode

uint16_t phhalHw_Pn5180_DataParams_t::wTargetMode

Used to indicate the mode and speed at which Target is activated.

Lower Byte indicates Speed and Higher Byte indicates Framing.

## § wWakeupCounterInMs

uint16_t phhalHw_Pn5180_DataParams_t::wWakeupCounterInMs

[In] Used value for wakeup counter in msecs, i.e.

after this amount of time PN5180 wakes up from standby. Maximum value is 2690.

## § wLpcdReference

uint16_t phhalHw_Pn5180_DataParams_t::wLpcdReference

Reference valu read from AGC_REF_CONFIG (check_card) register.

## § bLpcdMode

uint8_t phhalHw_Pn5180_DataParams_t::bLpcdMode

LPCD Mode options.

## § bSymbolStart

uint8_t phhalHw_Pn5180_DataParams_t::bSymbolStart

Preamble of a frame.

## § bSymbolEnd

uint8_t phhalHw_Pn5180_DataParams_t::bSymbolEnd

Trailer symbol of a frame.

## § bRfResetAfterTo

uint8_t phhalHw_Pn5180_DataParams_t::bRfResetAfterTo

Storage for PHHAL_HW_CONFIG_RFRESET_ON_TIMEOUT setting.

## § bActiveMode

uint8_t phhalHw_Pn5180_DataParams_t::bActiveMode

Flag indicates whether Active mode is activated or not.

## § bJewelActivated

uint8_t phhalHw_Pn5180_DataParams_t::bJewelActivated

Set the PH_ON/PH_OFF Jewel exchange mode.

## § bNfcipMode

uint8_t phhalHw_Pn5180_DataParams_t::bNfcipMode

Enable/Disable to handle Start Byte at 106kbps in NFCIP-1 mode.

## § bCardType

uint8_t phhalHw_Pn5180_DataParams_t::bCardType

Type of card for which the hal is configured for.

## § bTimeoutUnit

uint8_t phhalHw_Pn5180_DataParams_t::bTimeoutUnit

Unit of current timeout value (either PHHAL_HW_TIME_MICROSECONDS or PHHAL_HW_TIME_MILLISECONDS).

## § bRxMultiple

uint8_t phhalHw_Pn5180_DataParams_t::bRxMultiple

Flag indicates whether RX multiple is to be enabled or not.

## § bSkipSend

uint8_t phhalHw_Pn5180_DataParams_t::bSkipSend

Flag indicates whether Skip send should be performed or not in Active Target Mode.

## § bMfcCryptoEnabled

uint8_t phhalHw_Pn5180_DataParams_t::bMfcCryptoEnabled

Flag indicates whether the MFC Crypto is enabled or not.

## § bCardMode

uint8_t phhalHw_Pn5180_DataParams_t::bCardMode

Flag indicates whether the SYSTEM_CONFIG_AUTOCOLL_STATE_A_MASK bit is set or not.

## § pRFISRCallback

ppRFCallBck_t phhalHw_Pn5180_DataParams_t::pRFISRCallback

Application RF callback called by ISR handler.

## § wCfgShadow

uint16_t phhalHw_Pn5180_DataParams_t::wCfgShadow[PHHAL_HW_PN5180_SHADOW_COUNT]

Configuration shadow; Stores configuration for current cardtype.

## § HwEventObj

phOsal_EventObj_t phhalHw_Pn5180_DataParams_t::HwEventObj

Handle for Event.

The documentation for this struct was generated from the following file:

- phhalHw.h